#charset "UTF-8"

#include <tads.h>
#include <file.h>
#include <date.h>
#include <charset.h>

main()
{
	local b0 = nil;
	local b1;
    
    "A test game for XTads.";
    "\bGrid banner with text/bg color";

    b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeTextGrid, BannerAlignTop,
                       50, BannerSizePercent,
                       0);
    //bannerSetScreenColor(b1, ColorRGB(100, 100, 100));
    bannerSetTextColor(b1, ColorText, ColorTextBg);

	 bannerSay(b1, '1,1\n');
	 bannerSay(b1, '2,1\n');
    
    "\bPress another key to exit...\n";
    inputKey();
}
